## texlive-base 2023.20230613

=== texmf-dist/doc/latex/circuit-macros/examples/Makefile ===
# Examples Makefile
#
# Type "make" to generate examples.pdf containing many examples.
# Type "make clean; make examples.ps" to invoke latex intead of pdflatex.
# Type "make <diag>.ps" to make a postscript file from <diag>.m4
#  It may be necessary to type "make clean" before this or any of the following:
# Type "make <diag>.eps" to make an .eps file from <diag>.m4
# Type "make <diag>.svg" to make an .svg file from <diag>.m4 using pdf2svg
#   The following require ImageMagick convert:
# Type "make <diag>.png" to make a .png file from <diag>.m4
# Type "make <diag>.tif" to make a .tif file from <diag>.m4
#
#      See also: dpv subdirectory for creating svg with dpic -v without LaTeX
#
# To test the file test.m4, type "make tst" if boxdims is used, otherwise
# type "make tst1".  In either case the file tst.ps is created.
#
# There are more examples in the extras directory. Go to that
# directory and process them one at a time, or type "make".
#
# To debug a single diagram in a directory other than this examples
# directory, copy this makefile and tst.tex to where you want to work,
# redefine LIBDIR (below) appropriately, and type "make <diag>.xxx"
# where xxx is one of ps, eps, png, or pdf

#########################################################################

# Circuit_macro directory, change this if necessary:
# LIBDIR = $$HOME/lib
LIBDIR = ..

# The dpic processor:
PIC = dpic
#PIC = $$HOME/dpic/bisondev/dpic
#PIC = $$HOME/dpic/bison/dpic
#PIC = $$HOME/dpic/pascaldev/test/dpic
#PIC = $$HOME/dpic/pascal/test/dpic

#MODE = -p
MODE = -g

#CONF = pstricks.m4
CONF = pgf.m4

# Uncomment for gpic.  Use gpic or pic as applicable on your machine:
# PIC = gpic
# PIC = pic
# MODE = -t
# CONF = gpic.m4

# Convert options
EPSOPTS =
PNGOPTS = -quiet -density 400 -scale 25% -alpha Remove

# M4 = m4 -I $(LIBDIR)
# If environment variable M4PATH has been set to the installation directory:
M4 = m4

DOC = examples
TEXPICS = \
  ABlogix.tex Adder.tex Alogix.tex AmpTable.tex Antennas.tex Arresters.tex \
  Audio.tex Bip.tex Btree.tex Buttons.tex Byte.tex \
  Capacitors.tex CanLogic.tex Chips.tex Conn.tex Connectors.tex \
  Contacts.tex Contact.tex control.tex Crow.tex \
  csc.tex Csource.tex Decoder.tex \
  Demultiplexer.tex diamond.tex Dini.tex Diodes.tex Drive.tex \
  EEP.tex Emarrows.tex Escher.tex EVplugs.tex \
  ex00.tex ex01.tex ex02.tex ex03.tex ex04.tex ex05.tex ex06.tex ex08.tex \
  ex09.tex ex10.tex ex11.tex ex12.tex ex15.tex ex16.tex ex17.tex ex18.tex \
  ex21.tex exp.tex fet.tex Flow.tex Fuses.tex \
  Geometry.tex GrayCode.tex graysurf.tex Grounds.tex \
  Headers.tex Heathkit.tex \
  I2L.tex Incleps.tex Inductors.tex Jack.tex \
  lcct.tex Logic.tex Loglog.tex MC.tex Mixer.tex MoreTable.tex \
  MotorControl.tex Multiplexer.tex \
  NLG.tex NPDT.tex Nport.tex Opamp.tex Optoiso.tex \
  Pconn.tex Plate.tex PushPull.tex pwrsupply.tex \
  Quantum.tex quick.tex \
  random.tex Rectifiers.tex recycle.tex relaycoil.tex Relay.tex \
  Resistors.tex Rotbox.tex \
  Schottky.tex sfg.tex shadowed.tex shapes.tex ShiftR.tex Sierpinski.tex \
  Sixpole.tex \
  Smithchart.tex Sources.tex SQUID.tex Switches.tex \
  Tgate.tex Three.tex thyristor.tex TTLnand.tex Tubediags.tex \
  UNO.tex ujt.tex Variable.tex Windings.tex worm.tex Xform.tex XOR.tex

# Files that have to be processed twice:
BOXDIMS = Btree.tex ex09.tex Crow.tex Incleps.tex Loglog.tex Opamp.tex \
 random.tex Windings.tex

#########################################################################

DVIPSOPTS = -G0 -t letter
DIMFILE = $(DOC).dim
BS = tr '|' '\134'

# Might be needed (change latex commands to $(LTX) )
# LTX = latex --shell-escape
LTX = pdflatex --shell-escape

PDFLTXSRC=printf "|documentclass[11pt]{standalone}\n\
|usepackage{times,boxdims,siunitx,amssymb,tikz,geometry}\n\
|geometry{paperwidth=15in,paperheight=14in,margin=1in}\n\
|pagestyle{empty}|thispagestyle{empty}\n\
|begin{document}|noindent|input{"$*".tex}|end{document}\n" | $(BS)

# [dvipsnames]{xcolor} defines the colors near the end of:
# https://steeven9.github.io/USI-LaTeX/html/packages_hyperref_babel_xcolor3.html
# Better: use adjusted colors from http://latexcolor.com/

LTXFILE=printf "|documentclass[11pt]{article}\n\
|usepackage[dvipsnames]{xcolor}\n\
|usepackage{times,boxdims,graphicx,pstricks}\n\
|usepackage{siunitx}\n\
|setlength{|textwidth}{28cm}|setlength{|textheight}{28cm}\n\
|setlength{|oddsidemargin}{0pt}|setlength{|evensidemargin}{0pt}\n\
|setlength{|hoffset}{-1cm}\n\
|pagestyle{empty}|thispagestyle{empty}\n\
|newbox|graph\n\
|begin{document}\n\
|noindent|input{"$*".tex}|box|graph\n\
|end{document}\n" | $(BS)

.SUFFIXES: .ps .dvi .tex .m4 .pic .eps .png .pdf .svg .tif .gif
.m4.pic:
	@touch $(DIMFILE) F_$*.dim
	$(M4) $(CONF) $(DIMFILE) F_$*.dim $*.m4 > $*.pic
.m4.tex:
	@touch $(DIMFILE) F_$*.dim
	$(M4) $(CONF) $(DIMFILE) F_$*.dim $*.m4 | $(PIC) $(MODE) > $*.tex
#	$(M4) $(CONF) $(DIMFILE) F_$*.dim $*.m4 > $*.pic
#	$(PIC) $(MODE) $*.pic > $*.tex
.m4.dvi:
	@touch $(DIMFILE) F_$*.dim
	$(M4) pstricks.m4 $(DIMFILE) F_$*.dim $*.m4 | $(PIC) -p > $*.tex
	@$(LTXFILE) > F_$*.tex
	latex --quiet F_$*
	touch F_$*.dim $(DIMFILE)
	$(M4) pstricks.m4 $(DIMFILE) F_$*.dim $*.m4 | $(PIC) -p > $*.tex
	latex --quiet F_$*
	mv F_$*.dvi $*.dvi
	rm -f F_*
.dvi.ps:
	dvips $(DVIPSOPTS) $* -o $*.ps
	chmod 644 $*.ps
.m4.ps:
	@touch $(DIMFILE) F_$*.dim
	$(M4) pstricks.m4 $(DIMFILE) F_$*.dim $*.m4 | $(PIC) -p > $*.tex
	@$(LTXFILE) > F_$*.tex
	latex --quiet F_$*
	dvips $(DVIPSOPTS) F_$* -o $*.ps
	chmod 644 $*.ps
	rm -f F_*
.m4.eps:
	@touch $(DIMFILE) F_$*.dim
	$(M4) pstricks.m4 $(DIMFILE) F_$*.dim $*.m4 | $(PIC) -p > $*.tex
	@$(LTXFILE) > F_$*.tex
	latex --quiet F_$*
	$(M4) pstricks.m4 $(DIMFILE) F_$*.dim $*.m4 | $(PIC) -p > $*.tex
	latex --quiet F_$*
	dvips F_$* -T128cm,28cm -o $*.ps
# Recent changes to PSTricks(?) have clashed with the use of TeXtoEPS
#  so use ps2epsi
	ps2epsi $*.ps $*.epsi
	sed -e '/%%Pages:/d' -e '/BeginPreview/,$$d' $*.epsi \
     | tr '\015' '\012' > $*.eps
	sed -e '1,/EndPreview/d' $*.epsi >> $*.eps
	rm -f F_*
.m4.pdf:
	@touch $(DIMFILE) F_$*.dim
	$(M4) pgf.m4 $(DIMFILE) F_$*.dim $*.m4 | $(PIC) -g > $*.tex
	@$(PDFLTXSRC) > F_$*.tex
	pdflatex --quiet F_$*
	$(M4) pgf.m4 $(DIMFILE) F_$*.dim $*.m4 | $(PIC) -g > $*.tex
	pdflatex --quiet F_$*
	mv F_$*.pdf $*.pdf
	rm -f F_*
.m4.png:
	make $*.pdf
	convert $(PNGOPTS) $*.pdf $*.png
	@if test -f $*.png.0 ; then mv $*.png.0 $*.png ; fi
#	rm $*.pdf
.m4.gif:
	make $*.pdf
	convert $(GIFOPTS) $*.pdf $*.gif
#	rm $*.pdf
.m4.tif:
	make $*.pdf
	convert $(EPSOPTS) $*.pdf $*.tif
	@if test -f $*.tif.0 ; then mv $*.tif.0 $*.tif ; fi
#	rm $*.pdf
.m4.svg:
	make $*.pdf
	dvisvgm --pdf $*.pdf $*.svg
	chmod 644 $*.svg
#	rm $*.pdf


#########################################################################

$(DOC).pdf: clean pdfmode $(DOC).tex files.tex header.tex
	touch $(DOC).dim
	make CONF=pgf.m4 MODE=-g DIMFILE=$(DOC).dim pics
	cp $(LIBDIR)/doc/Version.tex .
	pdflatex $(DOC)
	rm -f $(BOXDIMS) ${BOXDIMS:%.tex=%.pic} $(DOC).pdf
	make CONF=pgf.m4 MODE=-g DIMFILE=$(DOC).dim $(BOXDIMS)
	pdflatex $(DOC)
	@printf "\n\n optpdf trims the pdf file\n"
	optpdf $(DOC).pdf

rose.pdf: rose.m4
	m4 pdf.m4 rose.m4 | dpic -d > rose.pdf

keyboard.svg: keyboard.m4
	m4 svg.m4 keyboard.m4 | dpic -v > keyboard.svg

keyboard.pdf: keyboard.svg
	-conv=`which convert` ; if test "`basename $$conv`" = "convert" ; then \
       convert keyboard.svg keyboard.pdf ; \
     else printf '.PS\n "keyboard.pdf requires imagemagick convert"\n.PE\n' \
       | dpic -d > keyboard.pdf ; fi

pics: rose.pdf keyboard.pdf $(TEXPICS)
	touch pics

$(DOC).ps: psmode $(DOC).dvi

psmode:
	printf "|usepackage{pstricks,pst-grad}\n" | $(BS) > mode.tex

pdfmode:
	printf "|usepackage{tikz}\n" | $(BS) > mode.tex

$(DOC).dvi: $(DOC).tex files.tex header.tex psmode
	touch $(DOC).dim
	make CONF=pstricks.m4 MODE=-p DIMFILE=$(DOC).dim pics
	cp $(LIBDIR)/doc/Version.tex .
	latex $(DOC)
	rm -f $(BOXDIMS) ${BOXDIMS:%.tex=%.pic} $(DOC).dvi
	make CONF=pstricks.m4 MODE=-p DIMFILE=$(DOC).dim $(BOXDIMS)
	latex $(DOC)

tst:
	@$(LTXFILE) | sed -e 's/{\.tex}/{test.tex}/' > tst.tex
	make CONF=pstricks.m4 PIC=dpic MODE=-p test.tex; latex --quiet tst
	rm -f test.tex test.pic
	make CONF=pstricks.m4 PIC=dpic MODE=-p test.tex; latex --quiet tst
	dvips $(DVIPSOPTS) tst -o tst.ps

tst1:
	@$(LTXFILE) | sed -e 's/{\.tex}/{test.tex}/' > tst.tex
	make CONF=pstricks.m4 PIC=dpic MODE=-p test.tex; latex --quiet tst
	dvips $(DVIPSOPTS) tst -o tst.ps

tikz:
	@$(LTXFILE) | sed -e 's/{\.tex}/{test.tex}/' -e 's/pstricks/tikz/' > tst.tex
	make CONF=pgf.m4 PIC=dpic MODE=-g test.tex; latex --quiet tst
	dvips $(DVIPSOPTS) tst -o tst.ps

gpic:
	@$(LTXFILE) | sed -e 's/{\.tex}/{test.tex}/' > tst.tex
	rm -f test.tex test.pic
	make CONF=gpic.m4 PIC=pic MODE=-t test.tex; latex --quiet tst
	dvips $(DVIPSOPTS) tst -o tst.ps

echopics:
	@echo $(TEXPICS)

testall:
	(cd mf; make)
	(cd mpost; make)
	(cd psfrag; make)
	(cd dpv; make)
	(cd xfig; make)

clobber:	clean
	rm -f *.ps
	-@for dir in mf mpost pdflatex xfig psfrag svg dev test; \
      do (if test -d $$dir ; then cd $$dir; make clobber; fi) ; done
	rm -f ../doc/Circuit_macros.pdf ../Circuit_macros.pdf
	rm -f *.warn
	rm -f examples.pdf
	rm -rf index.html html basenames *.png* dist zips htmlfiles svgfiles
	rm -rf $(TMP)/Cir* $(ECETMP)/Cir* $(ECEDIR)
	if test -f Incl.pdf ; then \
      mv Incl.pdf Incl.pdx; rm -f *.pdf; mv Incl.pdx Incl.pdf ; fi
	for file in `ls *.tex` ; do \
      nm=`echo $$file | sed -e "s/\(.*\)\.tex/\1/"` ; \
      if test -s $$nm.m4 ; then rm -f $$nm.pic $$nm.tex ; fi ; done
	(cd dpv; make clobber)
#	@if test -f distmakefile ; then make -f distmakefile clobber ; fi

clean:
	@printf "\n\n examples clean:\n\n"
	rm -f core boxdims.tar.gz pics
	rm -f *.dvi *.aux *.log *.toc *.blg *.eps *.tif *.epsi eps *-mfpic* *.svg
	rm -f fig*.tex $(TEXPICS) *.roff *.int *.pic gpic.m4 test.tex xxx* *.fig
	rm -f rose.pdf keyboard.pdf
	rm -f *.dim *.bak rotate.ps tst.ps *.bbl *-pics.ps
	rm -f *.tfm *[0-9]pk *.png *.svg *.1 *.gif
	rm -f F_* Version.tex *stackdump *.ico ./.[A-Za-z]*
	rm -rf distfile distfile.tar.gz mode.tex
	@printf "\n"
#	@if test -f distmakefile ; then make -f distmakefile clean ; fi

=== debian/changelog ===
texlive-base (2023.20230613-3) unstable; urgency=medium

  * Upload to unstable.

 -- Hilmar Preusse <hille42@web.de>  Sun, 27 Aug 2023 23:39:20 +0200

texlive-base (2023.20230613-2) experimental; urgency=medium

  * Bump package versions needed by texlive-full, to make sure all
    packages are upgraded, when tl-full is upgraded. This should fix
    the piuparts sid2experimental test.

 -- Hilmar Preusse <hille42@web.de>  Sat, 05 Aug 2023 11:21:28 +0200

texlive-base (2023.20230613-1) experimental; urgency=medium

  * New upstream snapshot, update / disable patches.
    - Contains fixed version of pixelart (Closes: #1036054).
  * CSLaTeX is considered to be obsolete, stop building formats for it.
    ***** WARNING ******** CSLaTeX is obsolete, don't use it please *****
    ***** You can use ``normal'' LaTeX+Babel or XeLaTeX+polyglossia *****

 -- Hilmar Preusse <hille42@web.de>  Wed, 19 Jul 2023 12:19:49 +0200

=== debian/control ===
Source: texlive-base
Section: tex
Priority: optional
Maintainer: Debian TeX Task Force <debian-tex-maint@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>, Hilmar Preusse <hille42@web.de>
Build-Depends: debhelper-compat (= 13), dh-strip-nondeterminism
Build-Depends-Indep: sharutils, tex-common (>= 6.14), findutils (>=4.2.0)
Standards-Version: 4.5.1
Homepage: http://www.tug.org/texlive/
Vcs-Git: https://github.com/debian-tex/texlive-nonbin.git [texlive-base]
Vcs-Browser: https://github.com/debian-tex/texlive-nonbin/tree/master/texlive-base

Package: texlive-base
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, libpaper-utils, sensible-utils, tex-common (>= 6.14), texlive-binaries (>= 2023.20230311), ucf, xdg-utils
Conflicts: tex4ht (<< 20160814), texlive (<< 2023.20230613), texlive-base (<< 2023.20230613), texlive-bibtex-extra (<< 2023.20230613), texlive-binaries (<< 2023.20230311), texlive-extra-utils (<< 2023.20230613), texlive-font-utils (<< 2023.20230613), texlive-fonts-extra (<< 2023.20230613), texlive-fonts-extra-doc (<< 2023.20230613), texlive-fonts-extra-links (<< 2023.20230613), texlive-fonts-recommended (<< 2023.20230613), texlive-fonts-recommended-doc (<< 2023.20230613), texlive-formats-extra (<< 2023.20230613), texlive-full (<< 2023.20230613), texlive-games (<< 2023.20230613), texlive-humanities (<< 2023.20230613), texlive-humanities-doc (<< 2023.20230613), texlive-lang-all (<< 2023.20230613), texlive-lang-arabic (<< 2023.20230613), texlive-lang-chinese (<< 2023.20230613), texlive-lang-cjk (<< 2023.20230613), texlive-lang-cyrillic (<< 2023.20230613), texlive-lang-czechslovak (<< 2023.20230613), texlive-lang-english (<< 2023.20230613), texlive-lang-european (<< 2023.20230613), texlive-lang-french (<< 2023.20230613), texlive-lang-german (<< 2023.20230613), texlive-lang-greek (<< 2023.20230613), texlive-lang-italian (<< 2023.20230613), texlive-lang-japanese (<< 2023.20230613), texlive-lang-korean (<< 2023.20230613), texlive-lang-other (<< 2023.20230613), texlive-lang-polish (<< 2023.20230613), texlive-lang-portuguese (<< 2023.20230613), texlive-lang-spanish (<< 2023.20230613), texlive-latex-base (<< 2023.20230613), texlive-latex-base-doc (<< 2023.20230613), texlive-latex-extra (<< 2023.20230613), texlive-latex-extra-doc (<< 2023.20230613), texlive-latex-recommended (<< 2023.20230613), texlive-latex-recommended-doc (<< 2023.20230613), texlive-luatex (<< 2023.20230613), texlive-metapost (<< 2023.20230613), texlive-metapost-doc (<< 2023.20230613), texlive-music (<< 2023.20230613), texlive-pictures (<< 2023.20230613), texlive-pictures-doc (<< 2023.20230613), texlive-plain-generic (<< 2023.20230613), texlive-pstricks (<< 2023.20230613), texlive-pstricks-doc (<< 2023.20230613), texlive-publishers (<< 2023.20230613), texlive-publishers-doc (<< 2023.20230613), texlive-science (<< 2023.20230613), texlive-science-doc (<< 2023.20230613), texlive-xetex (<< 2023.20230613)
Recommends: lmodern (>= 0.93.3)
Provides: dvipdfmx
Suggests: ghostscript, gv | postscript-viewer, perl-tk, xpdf | pdf-viewer, xzdec
Replaces: texlive-common (<< 2013), texlive-extra-utils (<< 2019.20190626), texlive-extra-utils (<< 2019.20191208), texlive-fonts-recommended (<< 2019.20200213), texlive-fonts-recommended-doc (<< 2019.20200213), texlive-lang-cyrillic (<< 2019.20190506), texlive-lang-european (<< 2019.20190506), texlive-lang-other (<< 2019.20190506), texlive-lang-spanish (<< 2019.20190506), texlive-latex-extra (<< 2019.20190701), texlive-latex-extra-doc (<< 2019.20190701), texlive-plain-generic (<< 2020)
Breaks: texlive-common (<< 2013), texlive-extra-utils (<< 2019.20190626), texlive-extra-utils (<< 2019.20191208), texlive-extra-utils (<< 2020.20200329-2), texlive-fonts-recommended (<< 2019.20200213), texlive-fonts-recommended-doc (<< 2019.20200213), texlive-lang-cyrillic (<< 2019.20190506), texlive-lang-english (<< 2022.20220923), texlive-lang-european (<< 2019.20190506), texlive-lang-other (<< 2019.20190506), texlive-lang-spanish (<< 2019.20190506), texlive-latex-extra (<< 2019.20190701), texlive-latex-extra-doc (<< 2019.20190701), texlive-math-extra (<< 2017), texlive-plain-generic (<< 2020)
Description: TeX Live: Essential programs and files
 These files are regarded as basic for any TeX system, covering plain TeX 
 macros, Computer Modern fonts, and configuration for common drivers; no 
 LaTeX.
 .
 This package includes the following CTAN packages:
 .
 amsfonts -- TeX fonts from the American Mathematical Society
 .
 bibtex -- Process bibliographies (bib files) for LaTeX or other formats
 .
 cm -- Computer Modern fonts
 .
 colorprofiles -- Collection of free ICC profiles
 .
 dvipdfmx -- An extended version of dvipdfm
 .
 dvips -- A DVI to PostScript driver
 .
 ec -- Computer modern fonts in T1 and TS1 encodings
 .
 enctex -- A TeX extension that translates input on its way into TeX
 .
 etex -- An extended version of TeX, from the NTS project
 .
 etex-pkg -- E-TeX support package
 .
 glyphlist -- Adobe Glyph List and TeX extensions
 .
 graphics-def -- Colour and graphics option files
 .
 hyph-utf8 -- Hyphenation patterns expressed in UTF-8
 .
 hyphen-base -- core hyphenation support files
 .
 hyphenex -- US English hyphenation exceptions file
 .
 ifplatform -- Conditionals to test which platform is being used
 .
 iftex -- Am I running under pdfTeX, XeTeX or LuaTeX?
 .
 knuth-lib -- Core TeX and Metafont sources from Knuth
 .
 knuth-local -- Knuth's local information
 .
 kpathsea -- Path searching library for TeX-related files
 .
 lua-alt-getopt -- Process application arguments the same way as getopt_long
 .
 luahbtex -- LuaTeX with HarfBuzz library for glyph shaping
 .
 luatex -- The LuaTeX engine
 .
 makeindex -- Makeindex development sources
 .
 metafont -- A system for specifying fonts
 .
 mflogo -- LaTeX support for Metafont logo fonts
 .
 mfware -- Supporting tools for use with Metafont
 .
 modes -- A collection of Metafont mode_def's
 .
 pdftex -- A TeX extension for direct creation of PDF
 .
 plain -- The Plain TeX format
 .
 tex -- A sophisticated typesetting engine
 .
 tex-ini-files -- Model TeX format creation files
 .
 texlive-common -- TeX Live documentation (common elements)
 .
 texlive-en -- TeX Live manual (English)
 .
 texlive-msg-translations -- translations of the TeX Live installer and TeX
 Live Manager
 .
 texlive-scripts -- TeX Live infrastructure programs
 .
 texlive.infra -- basic TeX Live infrastructure
 .
 unicode-data -- Unicode data and loaders for TeX
 .
 xdvi -- A DVI previewer for the X Window System
 .
 texdoc -- Documentation access for TeX Live
 .
 texdoctk -- Easy access to package documentation

Package: texlive-latex-base
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, fonts-lmodern, texlive-base (>= 2022.20220405), texlive-base (>= 2023.20230613), texlive-binaries (>= 2023.20230311)
Suggests: texlive-latex-base-doc, wp2latex
Replaces: texlive-latex-extra (<< 2022.20220923), texlive-latex-recommended (<< 2019.20200205), texlive-latex-recommended (<< 2019.20200225), texlive-latex-recommended (<< 2020.20201203), texlive-latex-recommended (<< 2022.20230122)
Breaks: latexml (<= 0.8.6-4), texlive-base (<< 2022.20220405), texlive-formats-extra (<< 2020.20201129), texlive-lang-japanese (<= 2022.20221123-1), texlive-latex-extra (<< 2019.20191203), texlive-latex-extra (<< 2022.20220923), texlive-latex-recommended (<< 2019.20191208), texlive-latex-recommended (<< 2019.20200205), texlive-latex-recommended (<< 2019.20200225), texlive-latex-recommended (<< 2020.20201203), texlive-latex-recommended (<< 2022.20230122)
Description: TeX Live: LaTeX fundamental packages
 These packages are either mandated by the core LaTeX team, or very widely 
 used and strongly recommended in practice.
 .
 This package includes the following CTAN packages:
 .
 ae -- Virtual fonts for T1 encoded CMR-fonts
 .
 amscls -- AMS document classes for LaTeX
 .
 amsmath -- AMS mathematical facilities for LaTeX
 .
 atbegshi -- Execute stuff at \shipout time
 .
 atveryend -- Hooks at the very end of a document
 .
 auxhook -- Hooks for auxiliary files
 .
 babel -- Multilingual support for LaTeX, LuaLaTeX, XeLaTeX, and Plain TeX
 .
 babel-english -- Babel support for English
 .
 babelbib -- Multilingual bibliographies
 .
 bigintcalc -- Integer calculations on very large numbers
 .
 bitset -- Handle bit-vector datatype
 .
 bookmark -- A new bookmark (outline) organization for hyperref
 .
 carlisle -- David Carlisle's small packages
 .
 colortbl -- Add colour to LaTeX tables
 .
 epstopdf-pkg -- Call epstopdf "on the fly"
 .
 etexcmds -- Avoid name clashes with e-TeX commands
 .
 fancyhdr -- Extensive control of page headers and footers in LaTeX2e
 .
 firstaid -- First aid for external LaTeX files and packages that need
 updating
 .
 fix2col -- Fix miscellaneous two column mode features
 .
 geometry -- Flexible and complete interface to document dimensions
 .
 gettitlestring -- Clean up title references
 .
 graphics -- The LaTeX standard graphics bundle
 .
 graphics-cfg -- Sample configuration files for LaTeX color and graphics
 .
 grfext -- Manipulate the graphics package's list of extensions
 .
 hopatch -- Load patches for packages
 .
 hycolor -- Implements colour for packages hyperref and bookmark
 .
 hyperref -- Extensive support for hypertext in LaTeX
 .
 intcalc -- Expandable arithmetic operations with integers
 .
 kvdefinekeys -- Define keys for use in the kvsetkeys package
 .
 kvoptions -- Key value format for package options
 .
 kvsetkeys -- Key value parser with default handler support
 .
 l3backend -- LaTeX3 backend drivers
 .
 l3kernel -- LaTeX3 programming conventions
 .
 l3packages -- High-level LaTeX3 concepts
 .
 latex -- A TeX macro package that defines LaTeX
 .
 latex-bin -- LaTeX executables and man pages
 .
 latex-fonts -- A collection of fonts used in LaTeX distributions
 .
 latex-lab -- LaTeX laboratory
 .
 latexconfig -- configuration files for LaTeX-related formats
 .
 letltxmacro -- Let assignment for LaTeX macros
 .
 ltxcmds -- Some LaTeX kernel commands for general use
 .
 ltxmisc -- Miscellaneous LaTeX packages, etc
 .
 mfnfss -- Packages to typeset oldgerman and pandora fonts in LaTeX
 .
 mptopdf -- mpost to PDF, native MetaPost graphics inclusion
 .
 natbib -- Flexible bibliography support
 .
 oberdiek -- A bundle of packages submitted by Heiko Oberdiek
 .
 pagesel -- Select pages of a document for output
 .
 pdfescape -- Implements pdfTeX's escape features using TeX or e-TeX
 .
 pslatex -- Use PostScript fonts by default
 .
 psnfss -- Font support for common PostScript fonts
 .
 pspicture -- PostScript picture support
 .
 refcount -- Counter operations with label references
 .
 rerunfilecheck -- Checksum based rerun checks on auxiliary files
 .
 stringenc -- Converting a string between different encodings
 .
 tools -- The LaTeX standard tools bundle
 .
 uniquecounter -- Provides unlimited unique counter
 .
 url -- Verbatim with URL-sensitive line breaks
 .
 hypdoc -- Hyper extensions for doc.sty
 .
 pdftexcmds -- LuaTeX support for pdfTeX utility functions
 .
 infwarerr -- Complete set of information/warning/error message macros

Package: texlive-latex-recommended
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, texlive-base (>= 2022.20220405), texlive-binaries (>= 2023.20230311), texlive-latex-base (>= 2023.20230613)
Suggests: texlive-latex-recommended-doc, texlive-luatex, texlive-pstricks
Replaces: texlive-latex-base (<< 2019.20191208), texlive-latex-extra (<< 2019.20190324), texlive-latex-extra (<< 2019.20190507), texlive-latex-extra (<< 2019.20191208)

## texlive-base 2023.20231007

=== debian/changelog ===
texlive-base (2023.20231007-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Hilmar Preusse <hille42@web.de>  Sun, 08 Oct 2023 20:00:45 +0000

## texlive-base 2023.20231207

=== debian/changelog ===
texlive-base (2023.20231207-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Hilmar Preusse <hille42@web.de>  Sat, 09 Dec 2023 23:41:57 +0000

## texlive-base 2023.20240207

=== texmf-dist/source/fonts/fpl/Makefile ===
# Time-stamp: <2005-02-13 11:57:43 ralf> 
# Copyright 2005 Ralf Stubner
# See the file COPYING (GNU General Public License) for license
# conditions. 

FONTFORGE=/usr/bin/fontforge -script

SC_SOURCE=TeXPalladioL-SC.pe Palladio-SC.sfd pplrc9d-kern.afm
IT_SOURCE=TeXPalladioL-ItalicOsF.pe Palladio-ItalicOsF.sfd pplri9d-kern.afm
BD_SOURCE=TeXPalladioL-BoldOsF.pe Palladio-BoldOsF.sfd pplb9d-kern.afm
BI_SOURCE=TeXPalladioL-BoldItalicOsF.pe Palladio-BoldItalicOsF.sfd pplbi9d-kern.afm
SOURCE=$(SC_SOURCE) $(IT_SOURCE) $(BD_SOURCE) $(BI_SOURCE) URW-OtherSubrs.ps AddGPL AddException

all: fplrc8a.pfb fplrij8a.pfb fplbj8a.pfb fplbij8a.pfb

fplrc8a.pfb: $(SC_SOURCE)
	$(FONTFORGE) TeXPalladioL-SC.pe

fplrij8a.pfb: $(IT_SOURCE)
	$(FONTFORGE) TeXPalladioL-ItalicOsF.pe

fplbj8a.pfb: $(BD_SOURCE)
	$(FONTFORGE) TeXPalladioL-BoldOsF.pe

fplbij8a.pfb: $(BI_SOURCE) 
	$(FONTFORGE) TeXPalladioL-BoldItalicOsF.pe

clean:
	rm -f fpl*8a.* TeXPalladioL*sfd

dist: all
	rm -rf dist/
	mkdir -p dist/type1 dist/afm dist/pfm dist/source
	cp README COPYING dist/ 
	cp fplrc8a.pfb fplrij8a.pfb fplbj8a.pfb fplbij8a.pfb dist/type1/
	cp fplrc8a.pfm fplrij8a.pfm fplbj8a.pfm fplbij8a.pfm dist/pfm/
	cp fplrc8a.afm fplrij8a.afm fplbj8a.afm fplbij8a.afm dist/afm/
	cp $(SOURCE) Makefile dist/source/ 
	cp README.source dist/source/README
	(cd dist; zip -r fpl.zip README COPYING type1 afm pfm source)

=== texmf-dist/source/generic/memoize/Makefile ===
# Prepare the CTAN submission for all three packages.

PACKAGES = memoize advice collargs

all: ctan/memoize.zip
	$(MAKE) -f Makefile.advice ctan/advice.zip
	$(MAKE) -f Makefile.collargs ctan/collargs.zip
	@echo "Don't forget to run the tests!"

# Prepare the CTAN submission.

PACKAGE = memoize
VERSION = 1.1.2
YEAR = 2024
MONTH = 01
DAY = 21

FORMAT = generic

COMMON = memoize nomemoize memoizable
PLAIN = memoize-extract-one.tex
GENERIC = memoizable.code.tex
SOURCE = memoize.edtx memoize.ins

SCRIPTS := memoize-extract memoize-clean
man-src := $(SCRIPTS:%=doc/%.1.md)
MAN := $(SCRIPTS:%=%.1) $(SCRIPTS:%=%.pl.1) $(SCRIPTS:%=%.py.1)
MAN := $(MAN:%=doc/%)
SCRIPTS := $(SCRIPTS:%=%.pl) $(SCRIPTS:%=%.py)

%.pl.1: %.1
	echo .so man1/$*.1 > $@     # link to .1 man page
%.py.1: %.1
	echo .so man1/$*.1 > $@     # link to .1 man page

README = doc/README.memoize.md
INSTALL = INSTALL.md
CHANGELOG = CHANGELOG.md
MAKEFILE = Makefile
LICENCE = LICENCE

PACKAGES.edtx = $(PACKAGES:%=%.edtx)
PACKAGES.ins = $(PACKAGES:%=%.ins)

makefiles = Makefile.package Makefile.runtimes Makefile.advice Makefile.collargs 

codedoc-source = memoize-code.tex \
                 memoize-code.sty memoize-doc-common.sty

manual-source = memoize-doc.tex \
                memoize-doc.sty memoize-doc-common.sty yadoc.sty \
		memoize-doc.mst

PDF = memoize-doc.pdf memoize-code.pdf

codedoc-source := $(codedoc-source:%=doc/%)
manual-source := $(manual-source:%=doc/%)
pdf := $(PDF:%=doc/%)
DOC = $(sort $(codedoc-source) $(manual-source)) $(pdf) $(man-src)

examples-src := Makefile ins.begin ins.mid ins.end
examples-src := $(examples-src:%=doc/examples/%)
#examples-src += $(shell git ls-files | grep ^doc/examples/.*dtx$)
examples-src += $(shell find doc/examples -name '*.dtx')

# doc/attachments.lst is produced by compiling memoize.tex (without memoization).
# doc-examples will hold soft links to the relevant generated example files.
doc-examples := $(shell sed 's/^.* \(.*\) ##.*$$/\1/' doc/attachments.lst)
doc-examples := $(doc-examples:%=doc/examples/%)

ctan/$(PACKAGE).zip:
	$(TDS-BEGIN)
#	Check for duplicate filenames:
	echo $(doc-examples) | tr ' ' '\n' | uniq -d | ifne false
	cd doc && zip ../$(TDS-DOC-DIR)/examples-src.zip $(examples-src:doc/%=%)
#	For each line ($1 $2) in attachments.lst, link $1 to $2 ...
	cd doc/examples && sed 's!^examples/!ln -sfr !' ../attachments.lst | sh
#	... and zip those links.
	cd doc && zip -r ../$(TDS-DOC-DIR)/examples.zip $(doc-examples:doc/%=%)
	$(TDS-END)
	$(CTAN-BEGIN)
	ln -sr $(TDS-DOC-DIR)/examples-src.zip $(CTAN-DIR)/doc
	ln -sr $(TDS-DOC-DIR)/examples.zip $(CTAN-DIR)/doc
	$(CTAN-END)

%.py.dtx: %.py
	edtx2dtx -s -c '#' -B '^__version__' -E '^# Local Variables:' $< \
		| sed -e '/^% Local Variables:/Q' > $@

%.pl.dtx: %.pl
	edtx2dtx -s -c '#' -B '^my \$$PROG' -E '^# Local Variables:' $< \
		| sed -e '/^% Local Variables:/Q' > $@

doc/memoize-code.pdf: $(codedoc-source) \
                      $(PACKAGES.edtx) $(PACKAGES.ins) $(SCRIPTS:%=%.dtx)

doc/memoize.pdf: $(manual-source) $(examples-src) $(PACKAGES.edtx)

%.pdf: %.tex
	latexmk -cd -lualatex -bibtex- $(LATEXMK) $<  && touch $@



# Maintanence

test.tex = $(wildcard test*.tex)

.PHONY: all runtime force clean versions-show

.PRECIOUS: %.1

clean: # clean this directory
	memoize-clean.py -a $(test.tex:%.tex=-p %.) $(test.tex:%.tex=-p %.memo.dir/)
	latexmk -C -f $(test.tex) _region_

version:
	$(MAKE) -f Makefile.collargs version
	$(MAKE) -f Makefile.advice version
	$(call EDIT-VERSION-LATEX,memoize.edtx,memoize)
	$(call EDIT-VERSION-LATEX,memoize.edtx,nomemoize)
	$(call EDIT-VERSION-LATEX,memoize.edtx,memoizable)
	$(call EDIT-VERSION-CONTEXT,memoize.edtx)
	$(call EDIT-VERSION-PLAIN,memoize.edtx,memoize)
	$(call EDIT-VERSION-PLAIN,memoize.edtx,nomemoize)
	$(call EDIT-VERSION-PLAIN,memoize.edtx,memoizable)
	$(call EDIT-VERSION-PERL,memoize-extract.pl)
	$(call EDIT-VERSION-PERL,memoize-clean.pl)
	$(call EDIT-VERSION-PYTHON,memoize-extract.py)
	$(call EDIT-VERSION-PYTHON,memoize-clean.py)
	$(call EDIT-VERSION-MAN,doc/memoize-extract.1.md)
	$(call EDIT-VERSION-MAN,doc/memoize-clean.1.md)
	$(call EDIT-DATE-CHANGELOG,CHANGELOG.md)
define COLOR_VERSION
grep -E --color '[0-9]{4}[/-][0-9]{1,2}[/-][0-9]{1,2}|v?[0-9]\.[0-9]\.[0-9]([-a-z]*)|(January|February|March|April|May|June|July|August|September|October|November|December) [0-9]+, [0-9]{4}'
endef

versions-show:
	@grep -E '%<latex>\\ProvidesPackage|^%<context>%D\s*(version|date)=' $(PACKAGES.edtx) | ${COLOR_VERSION}
	@grep __version__ *.py | ${COLOR_VERSION}
	@grep VERSION *.pl | ${COLOR_VERSION}
	@grep -E '^(footer|date):' doc/memoize-*.md | ${COLOR_VERSION}
	@${COLOR_VERSION} CHANGELOG.md doc/CHANGELOG.advice.md doc/CHANGELOG.collargs.md

include Makefile.package
include Makefile.runtimes

VERSION-MAN = of Memoize v$(VERSION)

.PHONY: all-runtimes link-all-runtimes unlink-all-runtimes test

all-runtimes: runtimes
	$(MAKE) -f Makefile.advice runtimes
	$(MAKE) -f Makefile.collargs runtimes

link-all-runtimes: link-runtimes
	$(MAKE) -f Makefile.advice link-runtimes
	$(MAKE) -f Makefile.collargs link-runtimes

unlink-all-runtimes: unlink-runtimes
	$(MAKE) -f Makefile.advice unlink-runtimes
	$(MAKE) -f Makefile.collargs unlink-runtimes

test:
	cd testing && ./MakeTests.py

=== texmf-dist/doc/latex/circuit-macros/examples/Makefile ===
--- 
+++ 
@@ -99,6 +99,7 @@
 LTX = pdflatex --shell-escape
 
 PDFLTXSRC=printf "|documentclass[11pt]{standalone}\n\
+|usepackage[dvipsnames]{xcolor}\n\
 |usepackage{times,boxdims,siunitx,amssymb,tikz,geometry}\n\
 |geometry{paperwidth=15in,paperheight=14in,margin=1in}\n\
 |pagestyle{empty}|thispagestyle{empty}\n\

=== texmf-dist/doc/latex/combinedgraphics/test/Makefile ===
#
# Makefile for tests of combinedgraphics package
#
# Copyright 2009,2011,2012 Christian Schneider <software(at)chschneider(dot)eu>
#
# This file is part of combinedgraphics.
#
# combinedgraphics is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 3 as
# published by the Free Software Foundation, not any later version.
#
# combinedgraphics is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with combinedgraphics.  If not, see <http://www.gnu.org/licenses/>.
#
# WARNING: THIS IS ALPHA SOFTWARE AND MAY CONTAIN SERIOUS BUGS!
#

# input files
SRCFILE   := combinedgraphics_test.tex
STYFILES  := ../combinedgraphics.sty
FIGFILES  := xfig325.fig
PLTFILES  := gnuplot42.plt

# installation directories
DESTDIR   := $(HOME)/.texmf
DOCDIR    := $(DESTDIR)/doc/latex/$(PACKAGE)/test
SRCDIR    := $(DESTDIR)/source/latex/$(PACKAGE)/test

# output files
PDFFILE     := $(patsubst %.tex,%.pdf,$(SRCFILE))
TEXGRAPHICS := $(patsubst %.fig,%.tex,$(FIGFILES)) \
               $(patsubst %.plt,%.tex,$(PLTFILES))
EPSGRAPHICS := $(patsubst %.fig,%.eps,$(FIGFILES)) \
               $(patsubst %.plt,%.eps,$(PLTFILES))
PDFGRAPHICS := $(patsubst %.fig,%.pdf,$(FIGFILES)) \
               $(patsubst %.plt,%.pdf,$(PLTFILES))

# required tools
PDFLATEX  := pdflatex
FIG2DEV   := fig2dev
GNUPLOT   := gnuplot
EPSTOPDF  := epstopdf

# environment variables of (pdf)latex
export TEXINPUTS := .:..:$(TEXINPUTS)
export TEXPICTS  := .:..:$(TEXPICTS)

.PHONY: all test install clean distclean force

all: test

%.tex: %.fig
	$(FIG2DEV) -L pstex_t $< $@

%.eps: %.fig
	$(FIG2DEV) -L pstex $< $@

%.tex %.eps: %.plt
	$(GNUPLOT) $<

%.pdf: %.eps
	$(EPSTOPDF) --outfile=$@ $<

$(PDFFILE): %.pdf: %.tex $(STYFILES) $(TEXGRAPHICS) $(PDFGRAPHICS)
	$(PDFLATEX) -interaction=nonstopmode $<
	$(PDFLATEX) -interaction=nonstopmode $<
	$(PDFLATEX) -interaction=nonstopmode $<

test: $(PDFFILE) $(EPSGRAPHICS)

install:
	mkdir -p $(DOCDIR) $(SRCDIR)
	install -m 644 $(PDFFILE) $(DOCDIR)
	install -m 644 $(SRCFILE) $(FIGFILES) $(PLTFILES) Makefile \
	  $(TEXGRAPHICS) $(EPSGRAPHICS) $(PDFGRAPHICS) $(SRCDIR)

clean:
	$(RM) *.aux *.glo *.gls *.idx *.ilg *.ind *.log *.toc *~

distclean: clean

mrproper: distclean
	$(RM) $(PDFFILE) $(TEXGRAPHICS) $(EPSGRAPHICS) $(PDFGRAPHICS)

=== texmf-dist/doc/pdftex/tests/01-fake-interword-space/Makefile ===
# Public domain.

test:
	../../source/build-pdftex/texk/web2c/pdftex -ini fake-interword-space.tex

clean:
	$(clean)

=== debian/changelog ===
texlive-base (2023.20240207-1) unstable; urgency=medium

  * New upstream snapshot (refresh / redo patches).

 -- Hilmar Preusse <hille42@web.de>  Wed, 14 Feb 2024 14:08:19 +0000

## texlive-base 2024.20240401

=== debian/changelog ===
texlive-base (2024.20240401-3) unstable; urgency=medium

  * Add patch https://tug.org/svn/texlive?revision=71233&view=revision
    to fix --output-directory option in mktexpk (Closes: #1072828).

 -- Hilmar Preusse <hille42@web.de>  Thu, 20 Jun 2024 11:39:03 +0200

texlive-base (2024.20240401-2) unstable; urgency=medium

  * Upload to unstable.

 -- Hilmar Preusse <hille42@web.de>  Sun, 26 May 2024 16:01:45 +0200

texlive-base (2024.20240401-1) experimental; urgency=medium

  * New upstream snapshot (update / refresh patches).
    - texlive-base now provides manual pages, which were previously
      in texlive-binaries.

 -- Hilmar Preusse <hille42@web.de>  Sun, 21 Apr 2024 23:33:45 +0200

=== debian/control ===
--- 
+++ 
@@ -13,8 +13,8 @@
 Package: texlive-base
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, libpaper-utils, sensible-utils, tex-common (>= 6.14), texlive-binaries (>= 2023.20230311), ucf, xdg-utils
-Conflicts: tex4ht (<< 20160814), texlive (<< 2023.20230613), texlive-base (<< 2023.20230613), texlive-bibtex-extra (<< 2023.20230613), texlive-binaries (<< 2023.20230311), texlive-extra-utils (<< 2023.20230613), texlive-font-utils (<< 2023.20230613), texlive-fonts-extra (<< 2023.20230613), texlive-fonts-extra-doc (<< 2023.20230613), texlive-fonts-extra-links (<< 2023.20230613), texlive-fonts-recommended (<< 2023.20230613), texlive-fonts-recommended-doc (<< 2023.20230613), texlive-formats-extra (<< 2023.20230613), texlive-full (<< 2023.20230613), texlive-games (<< 2023.20230613), texlive-humanities (<< 2023.20230613), texlive-humanities-doc (<< 2023.20230613), texlive-lang-all (<< 2023.20230613), texlive-lang-arabic (<< 2023.20230613), texlive-lang-chinese (<< 2023.20230613), texlive-lang-cjk (<< 2023.20230613), texlive-lang-cyrillic (<< 2023.20230613), texlive-lang-czechslovak (<< 2023.20230613), texlive-lang-english (<< 2023.20230613), texlive-lang-european (<< 2023.20230613), texlive-lang-french (<< 2023.20230613), texlive-lang-german (<< 2023.20230613), texlive-lang-greek (<< 2023.20230613), texlive-lang-italian (<< 2023.20230613), texlive-lang-japanese (<< 2023.20230613), texlive-lang-korean (<< 2023.20230613), texlive-lang-other (<< 2023.20230613), texlive-lang-polish (<< 2023.20230613), texlive-lang-portuguese (<< 2023.20230613), texlive-lang-spanish (<< 2023.20230613), texlive-latex-base (<< 2023.20230613), texlive-latex-base-doc (<< 2023.20230613), texlive-latex-extra (<< 2023.20230613), texlive-latex-extra-doc (<< 2023.20230613), texlive-latex-recommended (<< 2023.20230613), texlive-latex-recommended-doc (<< 2023.20230613), texlive-luatex (<< 2023.20230613), texlive-metapost (<< 2023.20230613), texlive-metapost-doc (<< 2023.20230613), texlive-music (<< 2023.20230613), texlive-pictures (<< 2023.20230613), texlive-pictures-doc (<< 2023.20230613), texlive-plain-generic (<< 2023.20230613), texlive-pstricks (<< 2023.20230613), texlive-pstricks-doc (<< 2023.20230613), texlive-publishers (<< 2023.20230613), texlive-publishers-doc (<< 2023.20230613), texlive-science (<< 2023.20230613), texlive-science-doc (<< 2023.20230613), texlive-xetex (<< 2023.20230613)
+Depends: ${misc:Depends}, libpaper-utils, sensible-utils, tex-common (>= 6.14), texlive-binaries (>= 2024.20240313), ucf, xdg-utils
+Conflicts: tex4ht (<< 20160814), texlive (<< 2024.20240401), texlive-base (<< 2024.20240401), texlive-bibtex-extra (<< 2024.20240401), texlive-binaries (<< 2024.20240313), texlive-extra-utils (<< 2024.20240401), texlive-font-utils (<< 2024.20240401), texlive-fonts-extra (<< 2024.20240401), texlive-fonts-extra-doc (<< 2024.20240401), texlive-fonts-extra-links (<< 2024.20240401), texlive-fonts-recommended (<< 2024.20240401), texlive-fonts-recommended-doc (<< 2024.20240401), texlive-formats-extra (<< 2024.20240401), texlive-full (<< 2024.20240401), texlive-games (<< 2024.20240401), texlive-humanities (<< 2024.20240401), texlive-humanities-doc (<< 2024.20240401), texlive-lang-all (<< 2024.20240401), texlive-lang-arabic (<< 2024.20240401), texlive-lang-chinese (<< 2024.20240401), texlive-lang-cjk (<< 2024.20240401), texlive-lang-cyrillic (<< 2024.20240401), texlive-lang-czechslovak (<< 2024.20240401), texlive-lang-english (<< 2024.20240401), texlive-lang-european (<< 2024.20240401), texlive-lang-french (<< 2024.20240401), texlive-lang-german (<< 2024.20240401), texlive-lang-greek (<< 2024.20240401), texlive-lang-italian (<< 2024.20240401), texlive-lang-japanese (<< 2024.20240401), texlive-lang-korean (<< 2024.20240401), texlive-lang-other (<< 2024.20240401), texlive-lang-polish (<< 2024.20240401), texlive-lang-portuguese (<< 2024.20240401), texlive-lang-spanish (<< 2024.20240401), texlive-latex-base (<< 2024.20240401), texlive-latex-base-doc (<< 2024.20240401), texlive-latex-extra (<< 2024.20240401), texlive-latex-extra-doc (<< 2024.20240401), texlive-latex-recommended (<< 2024.20240401), texlive-latex-recommended-doc (<< 2024.20240401), texlive-luatex (<< 2024.20240401), texlive-metapost (<< 2024.20240401), texlive-metapost-doc (<< 2024.20240401), texlive-music (<< 2024.20240401), texlive-pictures (<< 2024.20240401), texlive-pictures-doc (<< 2024.20240401), texlive-plain-generic (<< 2024.20240401), texlive-pstricks (<< 2024.20240401), texlive-pstricks-doc (<< 2024.20240401), texlive-publishers (<< 2024.20240401), texlive-publishers-doc (<< 2024.20240401), texlive-science (<< 2024.20240401), texlive-science-doc (<< 2024.20240401), texlive-xetex (<< 2024.20240401)
 Recommends: lmodern (>= 0.93.3)
 Provides: dvipdfmx
 Suggests: ghostscript, gv | postscript-viewer, perl-tk, xpdf | pdf-viewer, xzdec
@@ -113,7 +113,7 @@
 Package: texlive-latex-base
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, fonts-lmodern, texlive-base (>= 2022.20220405), texlive-base (>= 2023.20230613), texlive-binaries (>= 2023.20230311)
+Depends: ${misc:Depends}, fonts-lmodern, texlive-base (>= 2022.20220405), texlive-base (>= 2024.20240401), texlive-binaries (>= 2024.20240313)
 Suggests: texlive-latex-base-doc, wp2latex
 Replaces: texlive-latex-extra (<< 2022.20220923), texlive-latex-recommended (<< 2019.20200205), texlive-latex-recommended (<< 2019.20200225), texlive-latex-recommended (<< 2020.20201203), texlive-latex-recommended (<< 2022.20230122)
 Breaks: latexml (<= 0.8.6-4), texlive-base (<< 2022.20220405), texlive-formats-extra (<< 2020.20201129), texlive-lang-japanese (<= 2022.20221123-1), texlive-latex-extra (<< 2019.20191203), texlive-latex-extra (<< 2022.20220923), texlive-latex-recommended (<< 2019.20191208), texlive-latex-recommended (<< 2019.20200205), texlive-latex-recommended (<< 2019.20200225), texlive-latex-recommended (<< 2020.20201203), texlive-latex-recommended (<< 2022.20230122)
@@ -247,6 +247,6 @@
 Package: texlive-latex-recommended
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, texlive-base (>= 2022.20220405), texlive-binaries (>= 2023.20230311), texlive-latex-base (>= 2023.20230613)
+Depends: ${misc:Depends}, texlive-base (>= 2022.20220405), texlive-binaries (>= 2024.20240313), texlive-latex-base (>= 2024.20240401)
 Suggests: texlive-latex-recommended-doc, texlive-luatex, texlive-pstricks
 Replaces: texlive-latex-base (<< 2019.20191208), texlive-latex-extra (<< 2019.20190324), texlive-latex-extra (<< 2019.20190507), texlive-latex-extra (<< 2019.20191208)

## texlive-base 2024.20240706

=== texmf-dist/source/luatex/luamplib/Makefile ===
NAME      = luamplib
FORMAT    = luatex

DTX       = $(NAME).dtx
DOC       = $(NAME).pdf
STY       = $(NAME).sty
LUA       = $(NAME).lua
TEST      = test-$(NAME)-plain.tex test-$(NAME)-latex.tex

UNPACKED  = $(STY) $(LUA)
GENERATED = $(UNPACKED) $(DOC)
SOURCES   = $(DTX) README NEWS Makefile $(TEST)

DOCFILES  = $(DOC) $(TEST) README NEWS
SRCFILES  = $(DTX) Makefile
RUNFILES  = $(STY) $(LUA)

ALL       = $(SRCFILES) $(DOCFILES) $(RUNFILES)

RUNDIR    = $(TEXMFDIR)/tex/$(FORMAT)/$(NAME)
DOCDIR    = $(TEXMFDIR)/doc/$(FORMAT)/$(NAME)
SRCDIR    = $(TEXMFDIR)/source/$(FORMAT)/$(NAME)
TEXMFDIR  = $(shell kpsewhich --var-value TEXMFHOME)

CTAN_ZIP  = $(NAME).zip
TDS_ZIP   = $(NAME).tds.zip
ZIPS      = $(CTAN_ZIP) $(TDS_ZIP)

DOLATEX   = texfot --quiet --tee=/dev/null --ignore "hypdoc" --ignore "^Overfull" --ignore "^Underfull" lualatex -recorder $(DTX)

all: $(GENERATED)
doc: $(DOC)
unpack: $(UNPACKED)
ctan: check $(CTAN_ZIP)
tds: $(TDS_ZIP)
world: all ctan

.PHONY: all doc unpack ctan tds check world

%.pdf: %.dtx
	@$(DOLATEX)
	@if( grep rerunfilecheck $(NAME).log |grep 'has changed' > /dev/null ); then $(DOLATEX); fi

$(UNPACKED): $(DTX)
	luatex -interaction=batchmode $< >/dev/null

check: $(UNPACKED)
	@texfot --quiet --tee=/dev/null luatex -interaction=batchmode test-$(NAME)-plain.tex
	@texfot --quiet --tee=/dev/null lualatex -interaction=batchmode test-$(NAME)-latex.tex
	! grep "blank space"              test-$(NAME)-plain.log
	! grep "blank space"              test-$(NAME)-latex.log

$(CTAN_ZIP): $(SOURCES) $(DOC) $(TDS_ZIP)
	@echo "Making $@ for CTAN upload."
	@$(RM) -- $@
	@mkdir -p $(NAME)
	@cp -f $(SOURCES) $(DOC) $(NAME)
	@zip -q -9 -r $@ $(TDS_ZIP) $(NAME)
	@$(RM) -r $(NAME)

define run-install
@mkdir -p $(RUNDIR) && cp $(RUNFILES) $(RUNDIR)
@mkdir -p $(DOCDIR) && cp $(DOCFILES) $(DOCDIR)
@mkdir -p $(SRCDIR) && cp $(SRCFILES) $(SRCDIR)
endef

$(TDS_ZIP): TEXMFDIR=./tmp-texmf
$(TDS_ZIP): $(ALL)
	@echo "Making TDS-ready archive $@."
	@$(RM) -- $@
	@if test -e $(TEXMFDIR); then echo 'bad TEXMFDIR'; false; fi
	$(run-install)
	@cd $(TEXMFDIR) && zip -q -9 ../$@ -r .
	@$(RM) -r -- $(TEXMFDIR)

.PHONY: install clean mrproper help

install: check $(ALL)
	@echo "Installing in '$(TEXMFDIR)'."
	$(run-install)

clean:
	@latexmk -silent -c $(DTX) *.tex >/dev/null
	@rm -f -- *.log test*.pdf

mrproper: clean
	@rm -f -- $(GENERATED) $(ZIPS)

help:
	@echo '$(NAME) makefile targets:'
	@echo '                      help - (this message)'
	@echo '                       all - (default target) all generated files'
	@echo '                     world - synonymous for ctan'
	@echo '                    unpack - extract all files'
	@echo '                       doc - compile documentation'
	@echo '                      ctan - run check & generate archive for CTAN'
	@echo '                       tds - generate a TDS compliant archive'
	@echo '                     check - run the test files'
	@echo '   install TEXMFDIR=<path> - install in <path>'

=== debian/changelog ===
texlive-base (2024.20240706-1) unstable; urgency=medium

  * New upstream snapshot, disable obsolete patch.
  * Create correct soft link to .../texmf-dist/scripts/texlive/rungs.lua
    (LP: #2038452).
  * Sync scripts.lst from texlive-bin.

 -- Hilmar Preuße <hille42@debian.org>  Thu, 11 Jul 2024 23:31:48 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: tex
 Priority: optional
 Maintainer: Debian TeX Task Force <debian-tex-maint@lists.debian.org>
-Uploaders: Norbert Preining <norbert@preining.info>, Hilmar Preusse <hille42@web.de>
+Uploaders: Norbert Preining <norbert@preining.info>, Hilmar Preusse <hille42@web.de>, Hilmar Preuße <hille42@debian.org>
 Build-Depends: debhelper-compat (= 13), dh-strip-nondeterminism
 Build-Depends-Indep: sharutils, tex-common (>= 6.14), findutils (>=4.2.0)
 Standards-Version: 4.5.1
